gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated (f6d13407f -> 3fcb02bf0)


From: gnunet
Subject: [gnunet] branch master updated (f6d13407f -> 3fcb02bf0)
Date: Wed, 27 Nov 2019 22:59:17 +0100

This is an automated email from the git hooks/post-receive script.

ng0 pushed a change to branch master
in repository gnunet.

    from f6d13407f contrib/scripts: use awk to modify interpreter substitution 
lines.
     new 74fbae9ea bootstrap: builtin type might be supported better
     new cf267b6ac bootstrap: check for the shell builtin we use and exit if it 
doesn't exist.
     new 3fcb02bf0 gnunet-bugreport: license and typo

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 bootstrap                        | 21 +++++++++++++++++++--
 contrib/scripts/gnunet-bugreport |  6 ++++--
 2 files changed, 23 insertions(+), 4 deletions(-)

diff --git a/bootstrap b/bootstrap
index 073308c43..06a82ddfc 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,6 +1,12 @@
 #!/bin/sh
+#
+# We should use /usr/bin/env sh, but some systems are notoriously picky.
+# In fact we could ommit this line if some automations wouldn't rely on
+# running this file via ./bootstrap.
+#
 # This file is in the public domain.
-
+# SPDX-License-Identifier: 0BSD
+#
 # We can't set -eu because we encounter warnings which
 # result in stops, whereas the warnings can for now be
 # safely ignored.
@@ -12,11 +18,22 @@ cleanup()
     rm -rf libltdl
 }
 
+errmsg=''
+
+# Check if shell supports builtin 'type'.
+if test -z "$errmsg"; then
+    if ! (eval 'type type') >/dev/null 2>&1
+    then
+        errmsg='Shell does not support type builtin'
+        exit 1
+    fi
+fi
+
 # This is more portable than `which' but comes with
 # the caveat of not(?) properly working on busybox's ash:
 existence()
 {
-    command -v "$1" >/dev/null 2>&1
+    type "$1" >/dev/null 2>&1
 }
 
 check_uncrustify()
diff --git a/contrib/scripts/gnunet-bugreport b/contrib/scripts/gnunet-bugreport
index aaba45252..203981ad5 100755
--- a/contrib/scripts/gnunet-bugreport
+++ b/contrib/scripts/gnunet-bugreport
@@ -1,10 +1,12 @@
 #!/usr/bin/env sh
-
+#
 # Caveats:
 # - checks with textprocessing assuming that system language is English.
 #   - maybe check last return status instead?
 # - Do we need to set awk to which awk becomes available or is awk
 #   always available as just awk?
+#
+# SPDX-License-Identifier: 0BSD
 
 progname=${0##*/}
 
@@ -35,7 +37,7 @@ linemsg()
 
 errmsg=''
 
-# Check if shell support builtin 'type'.
+# Check if shell supports builtin 'type'.
 if test -z "$errmsg"; then
     if ! (eval 'type type') >/dev/null 2>&1
     then

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]